DF(1) | General Commands Manual | DF(1)

# NAME

`df` —
display free disk space

# SYNOPSIS

`df` | [`-agln`] [`-Ghkm` | `-ihkm` | `-Pk`] [`-t` type] [file | file_system ...]

# DESCRIPTION

`df` displays statistics about the amount of free disk space on the specified file_system or on the file system of which file is a part. By default, all sizes are reported in 512-byte block counts. If neither a file or a file_system operand is specified, statistics for all mounted file systems are displayed (subject to the `-l` and `-t` options below).

Note that the printed count of available blocks takes minfree into account, and thus will be negative when the number of free blocks on the filesystem is less than minfree.

The following options are available:

`-a`
  Show all mount points, including those that were mounted with the `MNT_IGNORE` flag.
`-G`
  Display all the fields of the structure(s) returned by statvfs(2). This option cannot be used with the `-i` or `-P` options, and it is modelled after the Solaris `-g` option. This option will override the `-g`, `-h`, `-k`, and `-m` options, as well as any setting of `BLOCKSIZE`.
`-g`
  The `-g` option causes the numbers to be reported in gigabytes (1024*1024*1024 bytes).
`-h`
  "Human-readable" output. Use unit suffixes: Byte, Kilobyte, Megabyte, Gigabyte, Terabyte, Petabyte, Exabyte in order to reduce the number of digits to four or less.
`-i`
  Include statistics on the number of free inodes.
`-k`
  By default, all sizes are reported in 512-byte block counts. The `-k` option causes the numbers to be reported in kilobytes (1024 bytes).
`-l`
  Display statistics only about mounted file systems with the `MNT_LOCAL` flag set. If a non-local file system is given as an argument, a warning is issued and no information is given on that file system.
`-m`
  The `-m` option causes the numbers to be reported in megabytes (1024*1024 bytes).
`-n`
  Print out the previously obtained statistics from the file systems. This option should be used if it is possible that one or more file systems are in a state such that they will not be able to provide statistics without a long delay. When this option is specified, `df` will not request new statistics from the file systems, but will respond with the possibly stale statistics that were previously obtained.
`-P`
  Produce output in the following portable format:

  If both the `-P` and `-k` option are specified, the output will be preceded by the following header line, formatted to match the data following it:

      "Filesystem 1024-blocks Used Available Capacity Mounted on\n"

  If the `-P` option is specified without the `-k` options, the output will be preceded by the following header line, formatted to match the data following it:

      "Filesystem <blksize>-blocks Used Available Capacity Mounted on\n"

  The header line is followed by data formatted as follows:

      "%s %d %d %d %d%% %s\n", <file system name>, <total space>,
          <space used>, <space free>, <percentage used>,
          <file system root>

  Note that the `-i` option may not be specified with `-P`.

`-t` type
  Is used to indicate the actions should only be taken on filesystems of the specified type. More than one type may be specified in a comma-separated list. The list of filesystem types can be prefixed with “no” to specify the filesystem types for which action should not be taken. If a file system is given on the command line that is not of the specified type, a warning is issued and no information is given on that file system.

# ENVIRONMENT

`BLOCKSIZE`
  If the environment variable `BLOCKSIZE` is set, and the `-g`, `-h`, `-k` and `-m` options are not specified, the block counts will be displayed in units of that size block.

# SEE ALSO

quota(1), fstatvfs(2), getvfsstat(2), statvfs(2), getbsize(3), getmntinfo(3), fs(5), fstab(5), mount(8), quot(8), tunefs(8)

# HISTORY

A `df` utility appeared in Version 1 AT&T UNIX.

August 27, 2018 | NetBSD 9.0